Java Keypad Loader for Database Load, Requires GTOCP4 with P02-01 or Later Firmware

The JAVA-based Keypad Loader requires a GTOCP4 control box with version P02-01 or later version firmware for the loading process. 

The keypad database has remained the same for all versions of 4.x. You do not need to reinstall the database unless it is corrupt.   
All keypads up to and including versions of 4.19.5 of the program firmware have the database level:1. The database remains in memory even when the program version changes. It does not need to be reloaded unless the database corrupts.

The database firmware contains the information in the object database, including the catalog name, common name, RA and Declination coordinates, magnitude, object type, and constellation where the object is located. 

How can I tell if the database has become corrupt? If you attempt to slew to a catalog object (Messier, NGC, etc) and your telescope moves to the wrong location or indicates that the object is below the horizon (and you know it is not), you may suspect that the database is corrupt. Check the object information display to see if the catalog values are correct for that object. If the data is not correct, proceed with these instructions.

What causes a corrupt database? The most common cause is a dead battery. In this case, the battery must be replaced before the database is loaded. If you have a keypad older than serial # 1568GTO, the battery can dislodge if the keypad is dropped or suffers a blow. Open the case and reset the battery if you are confident that it has sufficient voltage. Batteries typically last 5 years or longer.  

If you do not need a database load, but wish to upgrade your keypad to version v4.19.5 code (program) files, follow the instructions on this webpage: V4.19.5 for Astro-Physics GTO Keypad - Code Load Only

**Check These Before You Start**

  • Keypad serial number. All keypads, regardless of serial number, can upload the database. There is no memory restriction as there is for the code (program) load. 

  • GTOCP4 with version P02-01 firmware or later. This JAVA Loader can ONLY be used with the GTOCP4 control box that has the required firmware. If you have a GTOCP4 control box with P01-xx software, we encourage you to upgrade to the latest version from our Software Updates tab. 

  • Windows, Mac or Linux computer with JAVA installed. 

  • USB or Straight-thru serial cable is required. Ethernet and WiFi downloads are not supported at this time for the Keypad updates. If you are using a serial cable, You cannot use a "null modem or crosswired" cable. In recent years, all mounts were shipped with the proper serial cable. If you do not have one, you can order a 15' cable from Astro-Physics. If you must use a USB-to-serial adapter, be sure that it has an FTDI chip. We have also had success with Keyspan adapters. We do not recommend USB to serial adapters with Prolific chips.

  • Control box, Keypad, power cable and power supply (or battery) are required for the upload. The upload procedure to the keypad requires that the program be routed through the ROM chip in the GTO control box. In order to accomplish this, your control box must be set up with power near your PC. The mount and motor cables are not required.

  • User name and password to access the download area of our website. This information was provided in the cover letter shipped with your mount. If you do not have the user name and password, contact Astro-Physics. If your name is not already registered in our GTO database, we will ask for your mount or keypad serial number to assure that you are authorized to access this area of our website. We suggest that you fill out and submit the mount registration form.

Print the instructions at the link below

Database Load for GTOCP4 with P02-01 or Later - Java Keypad Loader - PDF document

Download Program to Your Computer

Click on the link below to initiate the download. Make note of the location that the file was stored on your computer. Follow the instructions that you have printed.

keypad4195.zip